#! /bin/bash

#
# Script that starts up bash script based on amqpfind messages
#

# Note - when using Full Disk make sure -n is set to 7. Otherwise, `Disk' will be passed to the next call to the script.

export COVERAGE=CONUS
export PATH=$PWD:$PATH


    $HOME/test/code/amqpfind/amqpfind -H mq1.ssec.wisc.edu -p sdsmq -u sdsuser \
    -H mq2.ssec.wisc.edu -p sdsmq -u sdsuser \
    -k '(start_time, coverage)' \
    -w 60.0 \
    -X satellite \
    -j '{start_time} {adde_dataset} {server_ip} {satellite_location} {coverage} {path}' \
    -C geo.goes.*.abi.adde.realtime.*.image.complete | xargs -n7  ${PWD}/sample.bash

