from amqpfind import main

def myfunc(path):
  return path.replace('/fjord', 'Pining-For-The-Fjord')

def mycallback(topic, content):
  print("topic %s \n\thas keys %s\n\t and path %s" % (topic, tuple(content.keys()), content.get('path', "--YOU SHALL NOT PATH--")))

# run amqpfind with new functions "pining" and "mycallbacK" available
# python custom-amqpfind.py -H mq1 -X satellite -u himawari -p guest -C 'geo.*.*.*.*.*.*.*.*' --callback mycallback --transform "path=pining(path)" -vv
main(pining=myfunc, mycallback=mycallback)
